# SubAPI (SubServers.Client.Bukkit)

net.ME1312.SubServers.Client.Bukkit

## Class SubAPI

- java.lang.Object
- - net.ME1312.SubServers.Client.Bukkit.SubAPI

    public final class SubAPI
    extends java.lang.Object

SubAPI Class

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`Version` `getBetaVersion()` Gets the SubServers Beta Version
`Version` `getGameVersion()` Gets the Minecraft Version
`UIHandler` `getGraphicHandler()` Gets the Graphics Handler
`static SubAPI` `getInstance()` Gets the SubAPI Methods
`SubPlugin` `getInternals()` Deprecated. Use SubAPI Methods when available
`java.util.Map<java.lang.String,java.lang.String>` `getLang()` Gets the SubServers Lang
`java.lang.String` `getLang(java.lang.String key)` Gets a value from the SubServers Lang
`Version` `getPluginVersion()` Gets the SubServers Version
`Version` `getServerVersion()` Gets the Server Version
`SubDataClient` `getSubDataNetwork()` Gets the SubData Network Manager
`void` `setGraphicHandler(UIHandler graphics)` Sets the Graphics Handler for SubServers to use

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static SubAPI getInstance()

Gets the SubAPI Methods

Returns:
  SubAPI

#### getInternals

    @Deprecated
    public SubPlugin getInternals()

Deprecated. Use SubAPI Methods when available
Gets the SubServers Internals

Returns:
  SubPlugin Internals

#### getSubDataNetwork

    public SubDataClient getSubDataNetwork()

Gets the SubData Network Manager

Returns:
  SubData Network Manager

#### getLang

    public java.lang.String getLang(java.lang.String key)

Gets a value from the SubServers Lang

Parameters:
  `key` - Key
Returns:
  Lang Value

#### getLang

    public java.util.Map<java.lang.String,java.lang.String> getLang()

Gets the SubServers Lang

Returns:
  SubServers Lang

#### getGraphicHandler

    public UIHandler getGraphicHandler()

Gets the Graphics Handler

Returns:
  Graphics Handler

#### setGraphicHandler

    public void setGraphicHandler(UIHandler graphics)

Sets the Graphics Handler for SubServers to use

Parameters:
  `graphics` - Graphics Handler

#### getBetaVersion

    public Version getBetaVersion()

Gets the SubServers Beta Version

Returns:
  SubServers Beta Version (or null if this is a release version)

#### getPluginVersion

    public Version getPluginVersion()

Gets the SubServers Version

Returns:
  SubServers Version

#### getServerVersion

    public Version getServerVersion()

Gets the Server Version

Returns:
  Server Version

#### getGameVersion

    public Version getGameVersion()

Gets the Minecraft Version

Returns:
  Minecraft Version